Skip to main content
POST
/
tds
/
compliance
/
traces
/
deductors
/
forms
/
{certificate_type}
curl --request POST \ --url https://api.sandbox.co.in/tds/compliance/traces/deductors/forms/{certificate_type} \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data ' { "@entity": "in.co.sandbox.tds.compliance.traces.credentials", "username": "T.STARK", "password": "TEST1234", "tan": "AHMA09719B", "security_captcha": { "@entity": "in.co.sandbox.tds.compliance.traces.credentials.security_captcha", "quarter": "Q4", "financial_year": "FY 2023-24", "form": "26Q", "bsr_code": "0510002", "challan_date": 1701109800000, "challan_serial_no": "01905", "provisional_receipt_number": "770000211345676", "challan_amount": 21, "unique_pan_amount_combination_for_challan": [ [ "sr_no", "pan", "total_amount_deposited_against_pan" ], [ 1, "XXXPX1234A", 1 ] ] }, "remember_me": true } '
{ "code": 200, "timestamp": 1716870600000, "transaction_id": "f24cd229-42c8-43de-af79-8ce2d3c4c3db", "data": { "@entity": "in.co.sandbox.tds.compliance.certificate.job", "job_id": "f24cd229-42c8-43de-af79-8ce2d3c4c3db", "tan": "AHMA09719B", "quarter": "Q4", "financial_year": "FY 2023-24", "form": "24Q", "status": "created", "remember_me": false, "created_at": 1716870600000 } }
This endpoint is part of a job-based async workflow. See the job-based API workflow guide for job creation, payload upload, and status polling.

Headers

Authorization
string
required

JWT access token

x-api-key
string
required

API key for identification

x-api-version
string

Path Parameters

certificate_type
enum<string>
required
Available options:
form16,
form16a

Body

application/json
@entity
enum<string>
required

Entity type identifier. Must be in.co.sandbox.tds.compliance.traces.credentials.

Available options:
in.co.sandbox.tds.compliance.traces.credentials
username
string
required

Username of the TRACES portal. Must be a non-empty string.

password
string
required

Password of the TRACES portal. Must be a non-empty string.

tan
string
required

Tax Deduction Account Number (TAN) of the deductor. Must match [A-Z]{4}[0-9]{5}[A-Z]{1} (e.g., AHMA09719B).

security_captcha
object
required

Challan and return details used to authenticate the TRACES session and identify the certificate to download.

remember_me
boolean
required

Whether to save the TRACES credentials for future requests. When true, subsequent jobs can be submitted without re-entering credentials.

Response

200 - OK

code
integer
timestamp
integer
transaction_id
string
data
object